Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Red Hat Local Security Checks >> RHSA-2003-009: WindowMaker


Vulnerability Assessment Details

RHSA-2003-009: WindowMaker

Vulnerability Assessment Summary
Check for the version of the WindowMaker packages

Detailed Explanation for this Vulnerability Assessment


Updated packages are available to fix a vulnerability in Window Maker.

[Updated 06 Feb 2003]
Fixed packages for Advanced Workstation 2.1 have been added.

[Updated 31 Mar 2003]
New erratum packages are available to fix a bug in the original security
patch.

[Updated 18 Jun 2003]
The last update did not include the Advanced Workstation 2.1 packages,
these have now been added back.

Window Maker is an X11 window manager that emulates the look and feel
of the NeXTSTEP graphical user interface.

Al Viro found a buffer overflow in Window Maker 0.80.0 and earlier which
may permit remote attackers to execute arbitrary code through a certain
image file that is not properly handled when Window Maker uses width and
height information to allocate a buffer. A user can exploit this
vulnerability, for example, by opening a malicious theme.

Users of Window Maker are advised to upgrade to these updated packages
which contain a patch to correct this vulnerability.




Solution : http://rhn.redhat.com/errata/RHSA-2003-009.html
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

(COMPLETE) HP 3.4Ghz Xeon E3-1240 v3 CPU KIT ML310e G8 v2 723927-L21
$710.0
(COMPLETE) HP 3.4Ghz Xeon E3-1240 v3 CPU KIT ML310e G8 v2 723927-L21 pictureIntel Xeon E5-2690V3 2.6GHz Twelve Core (CM8064401439416) Processor
$1920.0
Intel Xeon E5-2690V3 2.6GHz Twelve Core (CM8064401439416) Processor pictureThinkStation S20 4157E4U Workstation - 1 x Intel Xeon W3550 Quad-core (4 Core)
$150.0
ThinkStation S20 4157E4U Workstation - 1 x Intel Xeon W3550 Quad-core (4 Core) pictureNEW (COMPLETE) HP 3.4Ghz Xeon E3-1240 v3 CPU KIT ML310e G8 v2 723927-L21
$720.0
NEW (COMPLETE) HP 3.4Ghz Xeon E3-1240 v3 CPU KIT ML310e G8 v2 723927-L21 picture


Discussions

No Discussions have been posted on this vulnerability.